glibmm 2.86.0

Public Types | Public Member Functions | Protected Attributes | List of all members
Glib::SignalProxyProperty Class Reference

Use the connect() method, with sigc::ptr_fun() or sigc::mem_fun() to connect signals to signal handlers. More...

`#include <glibmm/propertyproxy_base.h>`

Inheritance diagram for Glib::SignalProxyProperty:
[legend]

## Public Types
using | SlotType = sigc::slot<void()>

## Public Member Functions
| SignalProxyProperty (Glib::ObjectBase * obj, const gchar * property_name)
| ~SignalProxyProperty () noexcept
sigc::connection | connect (const SlotType & slot)
sigc::connection | connect (SlotType && slot)
Public Member Functions inherited from Glib::SignalProxyBase
| SignalProxyBase (Glib::ObjectBase * obj)

## Protected Attributes
const char * | property_name_
Protected Attributes inherited from Glib::SignalProxyBase
ObjectBase * | obj_

## Detailed Description

Use the connect() method, with sigc::ptr_fun() or sigc::mem_fun() to connect signals to signal handlers.

## Member Typedef Documentation

## ◆ SlotType

using Glib::SignalProxyProperty::SlotType = sigc::slot<void()>

## Constructor & Destructor Documentation

## ◆ SignalProxyProperty()

Glib::SignalProxyProperty::SignalProxyProperty | ( | Glib::ObjectBase * | obj,
|  | const gchar * | property_name )

## ◆ ~SignalProxyProperty()

Glib::SignalProxyProperty::~SignalProxyProperty | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ connect() [1/2]

sigc::connection Glib::SignalProxyProperty::connect | ( | const SlotType & | slot | ) |

## ◆ connect() [2/2]

sigc::connection Glib::SignalProxyProperty::connect | ( | SlotType && | slot | ) |

Since glibmm 2.48

## Member Data Documentation

## ◆ property_name_

const char* Glib::SignalProxyProperty::property_name_
| protected